| Cantera 3.0.0

Loading...
Searching...
No Matches
Namespaces | Functions
Reaction.cpp File Reference
`#include "cantera/kinetics/Reaction.h"`
`#include "cantera/kinetics/ReactionRateFactory.h"`
`#include "cantera/kinetics/Kinetics.h"`
`#include "cantera/kinetics/Arrhenius.h"`
`#include "cantera/kinetics/Falloff.h"`
`#include "cantera/thermo/ThermoPhase.h"`
`#include "cantera/thermo/SurfPhase.h"`
`#include "cantera/base/Array.h"`
`#include "cantera/base/AnyMap.h"`
`#include "cantera/base/utilities.h"`
`#include "cantera/base/stringUtils.h"`
`#include <boost/algorithm/string/predicate.hpp>`
`#include <sstream>`
`#include <boost/algorithm/string.hpp>`
Include dependency graph for Reaction.cpp:

Go to the source code of this file.

## Namespaces
namespace | Cantera
| Namespace for the Cantera kernel.

## Functions
void | updateUndeclared (vector< string > &undeclared, const Composition &comp, const Kinetics &kin)
unique_ptr< Reaction > | newReaction (const string &type)
| Create a new empty Reaction object.
unique_ptr< Reaction > | newReaction (const AnyMap &rxn_node, const Kinetics &kin)
| Create a new Reaction object using the specified parameters.
void | parseReactionEquation (Reaction &R, const string &equation, const AnyBase &reactionNode, const Kinetics *kin)
| Parse reaction equation.
vector< shared_ptr< Reaction > > | getReactions (const AnyValue &items, Kinetics &kinetics)
| Create Reaction objects for each item (an AnyMap) in `items`.